ProjectionStackSupport (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj
Class ProjectionStackSupport

    java.lang.Object
      com.bbn.openmap.proj.ProjectionStackSupport

All Implemented Interfaces:
  java.io.Serializable

    public class ProjectionStackSupport

extends java.lang.Object
implements java.io.Serializable

This is a utility class that can be used by beans that need support for handling ProjectionListeners and firing ProjectionEvents. You can use an instance of this class as a member field of your bean and delegate work to it.

See Also:
  Serialized Form

Constructor Summary
`ProjectionStackSupport()` Construct a ProjectionStackSupport.

Method Summary
`void` | `add(ProjectionStackTrigger pt)` Add a ProjectionStackTrigger.
`void` | `fireStackStatus(boolean enableBackProjections, boolean enableForwardProjections)` Send a status to all registered triggers.
`java.util.ArrayList<ProjectionStackTrigger>` | `getTriggers()` Return a cloned list of Triggers.
`void` | `remove(ProjectionStackTrigger pt)` Remove a ProjectionStackTrigger.
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectionStackSupport

    public ProjectionStackSupport()

  Construct a ProjectionStackSupport.

Method Detail

### add

    public void add(ProjectionStackTrigger pt)

  Add a ProjectionStackTrigger.

  Parameters:
    `pt` - ProjectionStackTrigger

### remove

    public void remove(ProjectionStackTrigger pt)

  Remove a ProjectionStackTrigger.

  Parameters:
    `pt` - ProjectionStackTrigger

### getTriggers

    public java.util.ArrayList<ProjectionStackTrigger> getTriggers()

  Return a cloned list of Triggers.

  Returns:
    Vector of triggers, null if none have been added.

### size

    public int size()

### fireStackStatus

    public void fireStackStatus(boolean enableBackProjections,
                                boolean enableForwardProjections)

  Send a status to all registered triggers.

  Parameters:
    `enableBackProjections` - there is at least one past projection in the back cache.
    `enableForwardProjections` - there is at least one future projection in the forward cache. Used when a past projection is being used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details